Bug 587546 - prlink.h gives warning with -Wstrict-prototypes
prlink.h gives warning with -Wstrict-prototypes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nss (Show other bugs)
5.2
All Linux
high Severity low
: rc
: ---
Assigned To: Elio Maldonado Batiz
BaseOS QE Security Team
: ZStream
: 586035 (view as bug list)
Depends On: 453577
Blocks: 575157 590145 590734
  Show dependency treegraph
 
Reported: 2010-04-30 04:42 EDT by RHEL Product and Program Management
Modified: 2013-01-10 21:58 EST (History)
22 users (show)

See Also:
Fixed In Version: nss-3.12.6-2.el5_5
Doc Type: Bug Fix
Doc Text:
A header, 'prlink.h', caused compiler warnings when it was included in an application built with the strict prototype checking enabled (i.e. when "-Wstrict-prototypes" was included in the 'CFLAGS'). If such warnings were treated as errors in the compiler flags (i.e. if "-Werror" was used), the affected application would not compile. The affected applications did not, in fact, need 'prlink.h', they were including it indirectly via another header. This update fixes the header so that it does not expose the faulty header and enables nss client software to build with strict prototype checking enabled, as expected.
Story Points: ---
Clone Of:
: 590145 590734 (view as bug list)
Environment:
Last Closed: 2010-07-12 09:16:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0526 normal SHIPPED_LIVE nss bug fix update 2010-07-12 09:16:08 EDT

  None (edit)
Description RHEL Product and Program Management 2010-04-30 04:42:37 EDT
This bug has been copied from bug #453577 and has been proposed
to be backported to 5.5 z-stream (EUS).
Comment 5 Lon Hohberger 2010-05-03 11:24:35 EDT
*** Bug 586034 has been marked as a duplicate of this bug. ***
Comment 6 Lon Hohberger 2010-05-03 11:24:45 EDT
*** Bug 586035 has been marked as a duplicate of this bug. ***
Comment 12 Martin Prpič 2010-07-09 02:24:26 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
A header, 'prlink.h', caused compiler warnings when it was included in an application built with the strict prototype checking enabled (i.e. when "-Wstrict-prototypes" was included in the 'CFLAGS'). If such warnings were treated as errors in the compiler flags (i.e. if "-Werror" was used), the affected application would not compile. The affected applications did not, in fact, need 'prlink.h', they were including it indirectly via another header. This update fixes the header so that it does not expose the faulty header and enables nss client software to build with strict prototype checking enabled, as expected.
Comment 14 errata-xmlrpc 2010-07-12 09:16:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0526.html

Note You need to log in before you can comment on or make changes to this bug.